# TODO:
# - update to 2.0.3 (temporary broken link)
# - packaging compiled .mo is not upgradeable, drop it or include .po
Summary:	Tool for configuring the Openbox window manager
Summary(pl.UTF-8):	Narzędzie do konfiguracji zarządcy okien Openbox
Name:		obconf
Version:	2.0.3
Release:	6
License:	GPL v2+
Group:		X11/Applications
Source0:	http://icculus.org/openbox/obconf/%{name}-%{version}.tar.gz
# Source0-md5:	b22e273721851dedad72acbc77eefb68
Source1:	%{name}.mo
Patch0:		%{name}-desktop.patch
Patch1:		openbox35.patch
URL:		http://openbox.org/obconf/
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake
BuildRequires:	gettext-devel >= 0.15
BuildRequires:	gtk+2-devel >= 2:2.12.0
BuildRequires:	libglade2-devel >= 1:2.6.2
BuildRequires:	libtool
BuildRequires:	openbox-devel >= 1:3.5.0
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	startup-notification-devel
Requires(post,postun):	shared-mime-info
Requires:	desktop-file-utils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ObConf allows you to configure Openbox in real-time. You can change
options such as the theme, desktop names, and focus settings.

%description -l pl.UTF-8
ObConf pozwala na konfigurację Openboksa w czasie rzeczywistym. Można
nim zmieniać opcje takie jak motyw, nazwy pulpitów i ustawienia
zachowania okien.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/locale/pl/LC_MESSAGES

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# install pl locale
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/locale/pl/LC_MESSAGES

# no -> nb
mv $RPM_BUILD_ROOT%{_datadir}/locale/{no,nb}

%find_lang %{name}

# kde3 file association, shared-mime-info should be sufficant nowadays
%{__rm} $RPM_BUILD_ROOT%{_datadir}/mimelnk/application/x-openbox-theme.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database
%update_mime_database

%postun
%update_mime_database

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/obconf
%{_datadir}/%{name}
%{_desktopdir}/obconf.desktop
%{_pixmapsdir}/obconf.png
%{_datadir}/mime/packages/obconf.xml
%changelog
* Sun May 12 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/obconf.git;a=log;h=master

* Sun May 12 2013 Jan Rękorajski <baggins@pld-linux.org> 1c85939
- fix building with openbox 3.5
- rel 6

* Sun Sep 18 2011 Elan Ruusamäe <glen@pld-linux.org> f02cb6d
- update-desktop-database (.desktop specifies MimeType)

* Fri Apr 01 2011 Elan Ruusamäe <glen@pld-linux.org> dda3e0b
- drop kde3 dependency

* Thu Aug 26 2010 lisu <lisu@pld-linux.org> 01ad33a
- polish translation

* Thu Aug 26 2010 lisu <lisu@pld-linux.org> 4bf9e9d
- add pl locale
- rel 3

* Wed Aug 25 2010 lisu <lisu@pld-linux.org> 4e9743f
- no -> nb
- rel 2

* Tue Aug 24 2010 lisu <lisu@pld-linux.org> d911244
- updated for 2.0.3

* Tue Aug 24 2010 lisu <lisu@pld-linux.org> 966159f
- updated to 2.0.3
- package icon
- pl fix

* Tue Mar 17 2009 Paweł Gołaszewski <blues@pld-linux.org> a5cb958
- rel.5

* Sat Nov 01 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> d5f87e6
- release 4

* Mon Oct 06 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> e0dea44
- release 3

* Sat Feb 23 2008 Elan Ruusamäe <glen@pld-linux.org> 0a666bd
- release 2

* Sun Jan 20 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 4ac9b43
- updated to 2.0.2

* Sun Jan 20 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 56b0558
- updated for 2.0.2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> a0b3ce4
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 516719b
- converted to UTF-8

* Mon Aug 14 2006 freetz <freetz@pld-linux.org> fda1579
- 1.6, updated source download link, use HEAD deps

* Tue Nov 15 2005 freetz <freetz@pld-linux.org> 84e457a
- rel.3 for rebuild with new openbox libs (soname change)

* Thu Dec 02 2004 Jakub Bogusz <qboosh@pld-linux.org> 880d00e
- some versions

* Thu Dec 02 2004 zbyniu <zbyniu@pld-linux.org> 29b7a63
- BR: pkgconfig, startup-notification-devel

